<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://redemptionReportDTOBrowse.caption"
        focusComponent="redemptionReportDToesTable">
    <data readOnly="true">
        <collection id="redemptionReportDToesDc"
                    class="com.company.management.entity.bgdreporting.RedemptionReportDTO">
            <loader id="redemptionReportDToesDl"/>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="redemptionReportDToesTable" spacing="true">
        <table id="redemptionReportDToesTable"
               width="100%"
               dataContainer="redemptionReportDToesDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
            </actions>
            <columns>
                <column id="timestamp"/>
                <column id="description"/>
                <column id="referenceNo"/>
                <column id="bgdID"/>
                <column id="investorName"/>
                <column id="goldCode"/>
                <column id="goldType"/>
                <column id="location"/>
                <column id="deliveryPartner"/>
                <column id="serialNo"/>
                <column id="status"/>
                <column id="outPS"/>
                <column id="outGram"/>
            </columns>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="redemptionReportDToesTable.create"/>
                <button id="editBtn" action="redemptionReportDToesTable.edit"/>
                <button id="removeBtn" action="redemptionReportDToesTable.remove"/>
            </buttonsPanel>
        </table>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>